org.glassfish.jersey.server.spi

## Interface RequestScopedInitializer

    public interface RequestScopedInitializer

Custom initialization provider that is guaranteed to be run from within an active request scope. Container implementations may use this extension point to provide initialization of custom request-scoped data.

Author:
  Marek Potociar

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `initialize(org.glassfish.jersey.internal.inject.InjectionManager injectionManager)` Perform request-scoped initialization.

### Method Detail

#### initialize

    void initialize(org.glassfish.jersey.internal.inject.InjectionManager injectionManager)

Perform request-scoped initialization.

Parameters:
  `injectionManager` - current injection manager instance configured in the `ApplicationHandler`.